Allow non-members to be added as watchers

2012-06-26 23:13 - Brendan Abel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

This ticket requests a single feature:

Update the "add watcher" interface on issues to allow the addition of non-members of a project as watchers on an issue.

This has been asked for and partially addressed several times in the past:

#3448 - Never addressed.  This issue is still open, but it is a slightly different request regarding the scalability of the "add

watcher" interface for extremely large numbers of users.

#5159 - The solution to this ticket allowed users to add themselves as a watcher if they weren't a member, but it didn't allow

other people to add them.

#6065 - This ticket re-iterated the problem with the solution to #5159 -- "[add additional users] without having to send them an

email asking them to go to this ticket and press *watch" -- but it was dismissed as a duplicate of #6226.

#6226 - The patch submitted for this ticket supposedly solved the issue, but doesn't look to have been included in the trunk.  It

was subsequently closed as a duplicate of #5159.

#9942 - This asked for 3 features.  2 of the features were already implemented in #5159.  The third feature is similar to the

request for this issue.  This was closed as a duplicate of #5159.

DO NOT CLOSE THIS TICKET as a duplicate of any of the issues listed above.

History

#1 - 2012-06-27 00:00 - Jean-Philippe Lang

#5159 - The solution to this ticket allowed users to add themselves as a watcher if they weren't a member, but it didn't allow other people to add

them.

 You're wrong, it's the exact opposite. It does allow users to add non-member user(s) while creating or updating an issue. Have you actually tried >=

1.4.0?

#2 - 2012-06-27 00:03 - Jean-Philippe Lang

Please have a look at note9 at least.

#3 - 2012-06-27 00:54 - Brendan Abel

- Status changed from New to Resolved

#4 - 2012-06-27 00:57 - Brendan Abel

My mistake, for some reason I thought that these were added in 1.1.

#5 - 2012-06-27 08:05 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks for the feedback.
